# Implemented visualization methods in NiaARM

## Grouped matrix plot

![Grouped matrix plot](./.github/images/grouped_matrix_plot.png)

**Reference**: Hahsler M. in Karpienko R. (2017). Visualizing association rules in hierarchical
groups, Journal of Business Economics, 87, 3, str. 317–335,
[https://doi.org/10.1007/s11573-016-0822-8](https://link.springer.com/article/10.1007/s11573-016-0822-8).

## Hill slopes

![Hill slopes](./.github/images/hill_slopes.png)

**Reference**: Fister Ml. I., Fister D., Iglesias A., Galvez A., Osaba E., Del Ser J. in Fister I. (2020).
Visualization of Numerical Association Rules by Hill Slopes. V: Analide, C.,
Novais, P., Camacho, D., Yin, H. (ur.), Intelligent Data Engineering and
Automated Learning – IDEAL 2020. IDEAL 2020. Lecture Notes in Computer
Science(), vol 12489. Springer, Cham., str. 101-111,
[https://doi.org/10.1007/978-3-030-62362-3_10](https://link.springer.com/chapter/10.1007/978-3-030-62362-3_10).

## Sankey diagram

![Sankey diagram](./.github/images/sankey.png)

**Reference**: Fister Ml. I., Fister I., Fister D., Podgorelec V. in Salcedo-Sanz S. (2023). A
comprehensive review of visualization methods for association rule mining:
Taxonomy, challenges, open problems and future ideas. Expert Systems
Applications, 233, str. 120901, [https://doi.org/10.1016/j.eswa.2023.120901](https://www.sciencedirect.com/science/article/abs/pii/S0957417423014033).

## Scatter plot

![Scatter plot](./.github/images/scatter_plot.png)

**Reference**: Fister Ml. I., Fister I., Fister D., Podgorelec V. in Salcedo-Sanz S. (2023). A
comprehensive review of visualization methods for association rule mining:
Taxonomy, challenges, open problems and future ideas. Expert Systems
Applications, 233, str. 120901, [https://doi.org/10.1016/j.eswa.2023.120901](https://www.sciencedirect.com/science/article/abs/pii/S0957417423014033).

## Two-key plot

![Two-key plot](./.github/images/two_key.png)

**Reference**: Fister Ml. I., Fister I., Fister D., Podgorelec V. in Salcedo-Sanz S. (2023). A
comprehensive review of visualization methods for association rule mining:
Taxonomy, challenges, open problems and future ideas. Expert Systems
Applications, 233, str. 120901, [https://doi.org/10.1016/j.eswa.2023.120901](https://www.sciencedirect.com/science/article/abs/pii/S0957417423014033).

